[Overview][Types][Classes][Index] | Reference for unit 'RubberBand' (#lcl)

# TCustomRubberBand.Shape

The Shape of the rubber band device: a line or a rectangle around the selection.

## Declaration

Source position: rubberband.pas line 46

`public property TCustomRubberBand.Shape : TRubberBandShape read GetShape write SetShape default rbsLine;`

## Description

Shape is a TRubberBandShape property which contains the shape drawn for the rubber-band selection. The default value for the property is rbsLine.

Values in the Shape property correspond to the shape values used in the QT widgetset. See TRubberBandShape for more information about the enumeration values and their meanings.

## See also

TRubberBandShape |  | Defines the shape drawn for a rubber-band selection.